package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 银联云闪付交易状态枚举
 *
 * @author ZYJ
 * @date 2022/6/16
 */
@Getter
@AllArgsConstructor
public enum UnionTradeStateEnum {

    /**
     * 银联云闪付交易状态枚举
     * NEW_ORDER 新订单
     * UNKNOWN 不明确的交易状态
     * TRADE_CLOSED 在指定时间段内未支付时关闭的交易
     * WAIT_BUYER_PAY 交易创建，等待买家付款
     * TRADE_SUCCESS 支付成功
     * TRADE_REFUND 订单转入退货流程
     */
    NEW_ORDER("NEW_ORDER", "新订单"),
    UNKNOWN("UNKNOWN", "不明确的交易状态"),
    TRADE_CLOSED("TRADE_CLOSED", "订单关闭"),
    WAIT_BUYER_PAY("WAIT_BUYER_PAY", "交易创建，等待买家付"),
    TRADE_SUCCESS("TRADE_SUCCESS", "支付成功"),
    TRADE_REFUND("TRADE_REFUND", "订单转入退货流程");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
